zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-2914) compiler warning using java 9
Date Sun, 08 Oct 2017 11:52:02 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-2914?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16196077#comment-16196077
] 

ASF GitHub Bot commented on ZOOKEEPER-2914:
-------------------------------------------

GitHub user dolphy17 reopened a pull request:

    https://github.com/apache/zookeeper/pull/393

    ZOOKEEPER-2914: Clear or suppress Java 9 compiler warning messages

    It was a little bit trickier than trunk, but I've tried to do my best to remove almost
all warnings.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/dolphy17/zookeeper ZOOKEEPER-2914-3.4

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/zookeeper/pull/393.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #393
    
----
commit 3b9bec4aab65deeecf1844a13c21c92ab84b7054
Author: Andor Molnar <andor@cloudera.com>
Date:   2017-10-06T16:45:53Z

    ZOOKEEPER-2914: Clear or suppress Java 9 compiler warning messages

----


> compiler warning using java 9
> -----------------------------
>
>                 Key: ZOOKEEPER-2914
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2914
>             Project: ZooKeeper
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 3.5.4, 3.6.0, 3.4.11
>            Reporter: Patrick Hunt
>            Assignee: Andor Molnar
>            Priority: Minor
>              Labels: newbie
>             Fix For: 3.5.4, 3.6.0, 3.4.11
>
>
> There are a number of warnings that crop up on branch 3.4/3.5/trunk when compiling "ant
clean compile-test" using java 9.
> Perhaps someone can verify/fix any warning across the jdks that we support (jdk6/7/8/9)
and 9 in particular since it's just reached GA.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message